﻿using Microsoft.Extensions.Configuration;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Threading.Tasks;

namespace P2Pdemo.Models
{
    /// <summary>
    /// 站点配置参数
    /// </summary>
    public class AppSettingConfig
    {
        public static IConfiguration Config { get; set; }        

        #region 系统公有配置

        #region TCP参数

        private static string _Talk_TcpIP;

        public static string Talk_TcpIP
        {
            get
            {
                if (_Talk_TcpIP == null)
                {
                    _Talk_TcpIP = Config["AppSettings:Talk_TcpIP"];
                }

                return _Talk_TcpIP;
            }
        }

        private static string _Talk_TcpPort;

        public static string Talk_TcpPort
        {
            get
            {
                if (_Talk_TcpPort == null)
                {
                    _Talk_TcpPort = Config["AppSettings:Talk_TcpPort"];
                }

                return _Talk_TcpPort;
            }
        }

        #endregion

        #region 对讲参数

        private static string _PP_SvrAddr;

        public static string PP_SvrAddr
        {
            get
            {
                if (_PP_SvrAddr == null)
                {
                    _PP_SvrAddr = Config["AppSettings:PP_SvrAddr"];
                }

                return _PP_SvrAddr;
            }
        }

        private static string _Talk_Server;

        public static string Talk_Server
        {
            get
            {
                if (_Talk_Server == null)
                {
                    _Talk_Server = Config["AppSettings:Talk_Server"];
                }

                return _Talk_Server;
            }
        }        

        #endregion

        #endregion

    }
}
