﻿using Microsoft.AspNetCore.Http;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Threading.Tasks;

namespace P2Pdemo.Models
{
    public class HttpHelper
    {
        private static IHttpContextAccessor _accessor;
        public static void Configure(IHttpContextAccessor httpContextAccessor)
        {
            _accessor = httpContextAccessor;
        }

        public static Microsoft.AspNetCore.Http.HttpContext Current => _accessor.HttpContext;

        public static HttpContext HttpContext => _accessor.HttpContext;


        public static HttpRequest Request => _accessor.HttpContext.Request;

        public static HttpResponse Response => _accessor.HttpContext.Response;
    }
}
